Bug 198185 - [iOS] Layout Test http/tests/resourceLoadStatistics/website-data-removal-for-site-navigated-to-with-link-decoration.html is frequently failing or timing out
Summary: [iOS] Layout Test http/tests/resourceLoadStatistics/website-data-removal-for-...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: John Wilander
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-05-23 10:56 PDT by Ryan Haddad
Modified: 2019-10-18 09:58 PDT (History)
8 users (show)

See Also:


Attachments
Patch for landing (7.56 KB, patch)
2019-06-14 18:29 PDT, John Wilander
no flags Details | Formatted Diff | Diff
Update TestExpectations (1.58 KB, patch)
2019-06-18 13:11 PDT, Russell Epstein
no flags Details | Formatted Diff | Diff
Patch (3.31 KB, patch)
2019-10-16 17:55 PDT, katherine_cheney
no flags Details | Formatted Diff | Diff
Patch (2.90 KB, patch)
2019-10-17 09:21 PDT, katherine_cheney
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2019-05-23 10:56:37 PDT
The following layout test is frequently failing or timing out on iOS

http/tests/resourceLoadStatistics/website-data-removal-for-site-navigated-to-with-link-decoration.html

Probable cause:

Unknown, the regression point cannot be determined with flakiness dashboard data.

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=http%2Ftests%2FresourceLoadStatistics%2Fwebsite-data-removal-for-site-navigated-to-with-link-decoration.html


--- /Volumes/Data/slave/ios-simulator-12-release-tests-wk2/build/layout-test-results/http/tests/resourceLoadStatistics/website-data-removal-for-site-navigated-to-with-link-decoration-expected.txt
+++ /Volumes/Data/slave/ios-simulator-12-release-tests-wk2/build/layout-test-results/http/tests/resourceLoadStatistics/website-data-removal-for-site-navigated-to-with-link-decoration-actual.txt
@@ -10,7 +10,7 @@
 After deletion: Client-side cookie exists.
 After deletion: Regular server-side cookie exists.
 After deletion: LocalStorage entry does not exist.
-After deletion: IDB entry does not exist.
+After deletion: IDB entry does exist.
 
 
 Resource load statistics:
Comment 1 Radar WebKit Bug Importer 2019-05-23 10:56:57 PDT
<rdar://problem/51074251>
Comment 2 Shawn Roberts 2019-06-11 09:20:10 PDT
Test is timing out or failing almost every run. Skipping test on iOS while waiting for a fix in https://trac.webkit.org/changeset/246318/webkit
Comment 3 John Wilander 2019-06-14 18:29:25 PDT
Created attachment 372161 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2019-06-14 19:22:39 PDT
The commit-queue encountered the following flaky tests while processing attachment 372161 [details]:

fetch/fetch-worker-crash.html bug 187257 (author: youennf@gmail.com)
The commit-queue is continuing to process your patch.
Comment 5 WebKit Commit Bot 2019-06-14 19:23:22 PDT
Comment on attachment 372161 [details]
Patch for landing

Clearing flags on attachment: 372161

Committed r246453: <https://trac.webkit.org/changeset/246453>
Comment 6 WebKit Commit Bot 2019-06-14 19:23:23 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Shawn Roberts 2019-06-17 13:17:58 PDT
Re opening bug as test is exhibiting the same flaky failure as before.
Comment 9 Russell Epstein 2019-06-18 13:11:20 PDT
Created attachment 372368 [details]
Update TestExpectations
Comment 10 Ryan Haddad 2019-06-18 13:43:11 PDT
Comment on attachment 372368 [details]
Update TestExpectations

Clearing flags on attachment: 372368

Committed r246562: <https://trac.webkit.org/changeset/246562>
Comment 11 katherine_cheney 2019-10-16 17:55:06 PDT
Created attachment 381141 [details]
Patch
Comment 12 youenn fablet 2019-10-17 02:22:56 PDT
Comment on attachment 381141 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=381141&action=review

> LayoutTests/http/tests/resourceLoadStatistics/website-data-removal-for-site-navigated-to-with-link-decoration.html:241
> +                testRunner.setStatisticsNotifyPagesWhenDataRecordsWereScanned(true);

Is this additional call needed?
The testRunner.installStatisticsDidScanDataRecordsCallback call above shoud set it to true.
Comment 13 katherine_cheney 2019-10-17 09:21:31 PDT
Created attachment 381195 [details]
Patch
Comment 14 katherine_cheney 2019-10-17 09:21:52 PDT
(In reply to youenn fablet from comment #12)
> Comment on attachment 381141 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=381141&action=review
> 
> > LayoutTests/http/tests/resourceLoadStatistics/website-data-removal-for-site-navigated-to-with-link-decoration.html:241
> > +                testRunner.setStatisticsNotifyPagesWhenDataRecordsWereScanned(true);
> 
> Is this additional call needed?
> The testRunner.installStatisticsDidScanDataRecordsCallback call above shoud
> set it to true.

Yes you're right, thanks for pointing that out!
Comment 15 WebKit Commit Bot 2019-10-18 09:58:03 PDT
The commit-queue encountered the following flaky tests while processing attachment 381195 [details]:

inspector/console/webcore-logging.html bug 203118 (authors: drousso@apple.com and eric.carlson@apple.com)
The commit-queue is continuing to process your patch.
Comment 16 WebKit Commit Bot 2019-10-18 09:58:54 PDT
Comment on attachment 381195 [details]
Patch

Clearing flags on attachment: 381195

Committed r251287: <https://trac.webkit.org/changeset/251287>
Comment 17 WebKit Commit Bot 2019-10-18 09:58:55 PDT
All reviewed patches have been landed.  Closing bug.